Bug 470231 - rfkill button not working correctly w/ Broadcom 4318 on HP nx6110
rfkill button not working correctly w/ Broadcom 4318 on HP nx6110
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-06 07:12 EST by Armands Liepins
Modified: 2009-05-17 08:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-27 11:12:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Armands Liepins 2008-11-06 07:12:35 EST
Description of problem:
It seems wireless radio is disabled on HP nx6110 notebook. After boot LED indicating radio is on, but wireless does not work. Here is info from dmesg related to b43:

b43-pci-bridge 0000:02:04.0: PCI INT A -> GSI 21 (level, low) -> IRQ 21
b43-phy0: Broadcom 4318 WLAN found
b43-phy0 debug: Found PHY: Analog 3, Type 2, Revision 7
b43-phy0 debug: Found Radio: Manuf 0x17F, Version 0x2050, Revision 8
input: b43-phy0 as /devices/virtual/input/input8
firmware: requesting b43/ucode5.fw
firmware: requesting b43/pcm5.fw
firmware: requesting b43/b0g0initvals5.fw
firmware: requesting b43/b0g0bsinitvals5.fw
b43-phy0: Loading firmware version 410.2160 (2007-05-26 15:32:10)
b43-phy0 debug: Chip initialized
b43-phy0 debug: 32-bit DMA initialized
Registered led device: b43-phy0::radio
b43-phy0 debug: Wireless interface started
b43-phy0 debug: Adding Interface type 2
b43-phy0: Radio hardware status changed to DISABLED

Maybe this is somehow connected: initially, after boot, lid switch does not work, but when radio kill button is pressed, backlight goes off for the moment and lid switch starts to work.

Version-Release number of selected component (if applicable):
2.6.27.4-68.fc10.i686

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Wireless does not work, radio kill button does not turn on wireless radio.

Expected results:
Working wireless, radio kill button turns on/off wireless radio.

Additional info:
BCM4318 firmware taken from: http://mirror2.openwrt.org/sources/broadcom-wl-4.150.10.5.tar.bz2
extracted with:
b43-fwcutter-011-3.fc9.i386
Comment 1 Armands Liepins 2008-11-07 03:44:15 EST
After enabling wireless in windows xp, it started to work, but LED sometimes does not work. After boot LED always goes on (when wl driver starts), then when button is pressed, it goes off and never goes on, but sometimes after boot it works. Strange.
Comment 2 Bug Zapper 2008-11-25 23:52:43 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 John W. Linville 2008-12-09 11:29:14 EST
This might require some laptop-specific code, not sure.
Comment 4 John W. Linville 2009-02-25 13:52:40 EST
It looks like 2.6.29 kernels have a module intended to address buttons on HP laptops.  Could you try this kernel?

   http://koji.fedoraproject.org/koji/buildinfo?buildID=83870
Comment 5 John W. Linville 2009-04-27 11:12:40 EDT
Hopefully that worked?  In any case, closed due to lack of response...
Comment 6 Armands Liepins 2009-05-17 07:36:46 EDT
Don't know which kernel module is responsible for buttons, but just installed 2.6.29.3-60.fc10.i686 from updates-testing and unfortunately nothing has changed.
Comment 7 Armands Liepins 2009-05-17 08:40:16 EDT
It seems kernel guys started working on this:
http://bugzilla.kernel.org/show_bug.cgi?id=13263

Note You need to log in before you can comment on or make changes to this bug.